Package uk.co.mccombe.mapping

# Class Ellipsoid

java.lang.Object
uk.co.mccombe.mapping.Ellipsoid

public class Ellipsoid extends Object
Ellipsoid is the base class used to describe the shape of the earth's surface. It is a biaxial ellipsoid, slightly flattened at the poles.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Ellipsoid`
`AIRY`
The Airy Sphere 1830 - "best fit" Ellipsoid for Great Britain
`static final Ellipsoid`
`BESSEL`
The Bessel 1841 Ellipsoid.
`static final Ellipsoid`
`CLARKE`
The Clarke (1880) Ellipsoid.
`static final Ellipsoid`
`GRS80`
The GRS80 Ellipsoid - "Best fit" ellipsoid for the whole Earth.
`static final Ellipsoid`
`HAYFORD`
The Hayford (1909) Ellipsoid.
`static final Ellipsoid`
`INTERNATIONAL`
The Bessel 1841 Ellipsoid.
`static final Ellipsoid`
`MODIFIED_AIRY`
The "Modified Airy" ellipsoid.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Ellipsoid(String name, double major, double minor)`
Create an Ellipsoid with specified major and minor exes.

## Method Summary

Modifier and Type
Method
Description
`protected double`
`eccsq()`
The eccentricity squared for this Ellipsoid.
`double`
`majoraxis()`
Major Axis (m) of the spheroid
`double`
`minoraxis()`
Minor axis (m) of the spheroid
`String`
`toString()`
Provide a String identifying this Ellipsoid

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### AIRY

public static final Ellipsoid AIRY
The Airy Sphere 1830 - "best fit" Ellipsoid for Great Britain

### CLARKE

public static final Ellipsoid CLARKE
The Clarke (1880) Ellipsoid. Used in France with the NTF Datum and Lambert Conformal Conical (LCC) projection

### HAYFORD

public static final Ellipsoid HAYFORD
The Hayford (1909) Ellipsoid. Typically used with he European 1950 (ED50) Datum

### GRS80

public static final Ellipsoid GRS80
The GRS80 Ellipsoid - "Best fit" ellipsoid for the whole Earth. Defined for Global Positioning System (GPS) and used with the WGS84 Datum.

### MODIFIED_AIRY

public static final Ellipsoid MODIFIED_AIRY
The "Modified Airy" ellipsoid. The "best fit" Ellipsoid for Ireland and used with the Irish Grid.

### BESSEL

public static final Ellipsoid BESSEL
The Bessel 1841 Ellipsoid. Used with the Austrian Grid

### INTERNATIONAL

public static final Ellipsoid INTERNATIONAL
The Bessel 1841 Ellipsoid. Used with the Austrian Grid

## Constructor Details

### Ellipsoid

protected Ellipsoid(String name, double major, double minor)
Create an Ellipsoid with specified major and minor exes.

Parameters:
  `name` - Defines the name of this Ellipsoid
  `major` - Major axis (m)
  `minor` - Minor axis (m)

## Method Details

### majoraxis

public double majoraxis()
Major Axis (m) of the spheroid

Returns:
  The major axis of the Ellipsoid

### minoraxis

public double minoraxis()
Minor axis (m) of the spheroid

Returns:
  The minor axis (m) of the Ellipsoid

### eccsq

protected double eccsq()
The eccentricity squared for this Ellipsoid.

Returns:
  the eccentricity squared ( i.e. (a^2 - b^2)/(a^2)

### toString

public String toString()
Provide a String identifying this Ellipsoid

Overrides:
  `toString` in class `Object`
Returns:
  The name of this Ellipsoid